=== modified file 'tests/data/utils.js'
--- tests/data/utils.js	2007-05-02 18:06:00 +0000
+++ tests/data/utils.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.data.utils");
-dojo.require("dojo.data.util.filter");
-dojo.require("dojo.data.util.sorter");
-
-tests.register("tests.data.utils", 
-	[
+doh.module("tests.data.utils", ["dojo.data.util.filter", "dojo.data.util.sorter"], [
 		function testWildcardFilter_1(t){
 			var pattern = "ca*";
 			var values = ["ca", "california", "Macca", "Macca*b", "Macca\\b"];
@@ -196,4 +191,3 @@
 		}
 	]
 );
-

=== modified file 'tests/date.js'
--- tests/date.js	2008-03-11 20:10:41 +0000
+++ tests/date.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,4 @@
-dojo.provide("tests.date");
-
-dojo.require("dojo.date");
+doh.module("tests.date", ["dojo.date", "tests.date.locale", "tests.date.stamp"], function(){
 
 tests.register("tests.date.util", 
 	[
@@ -708,5 +706,4 @@
 	]
 );
 
-dojo.require("tests.date.locale");
-dojo.require("tests.date.stamp");
+});

=== modified file 'tests/date/locale.js'
--- tests/date/locale.js	2009-07-06 13:38:48 +0000
+++ tests/date/locale.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.date.locale");
-
-dojo.require("dojo.date.locale");
-
-tests.register("tests.date.locale", 
-	[
+doh.module("tests.date.locale", "dojo.date.locale", [
 		{
 			// Test formatting and parsing of dates in various locales pre-built in dojo.cldr
 			// NOTE: we can't set djConfig.extraLocale before bootstrapping unit tests, so directly

=== modified file 'tests/date/stamp.js'
--- tests/date/stamp.js	2009-10-06 01:39:07 +0000
+++ tests/date/stamp.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.date.stamp");
-
-dojo.require("dojo.date.stamp");
-
-tests.register("tests.date.stamp", 
-	[
+doh.module("tests.date.stamp", "dojo.date.stamp", [
 function test_date_iso(t){
 	var rfc  = "2005-06-29T08:05:00-07:00";
 	var date = dojo.date.stamp.fromISOString(rfc);

=== modified file 'tests/fx.js'
--- tests/fx.js	2008-03-26 11:05:19 +0000
+++ tests/fx.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("tests.fx");
+doh.module("tests.fx", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.fx", dojo.moduleUrl("tests", "fx.html"), 30000);
 	doh.registerUrl("tests.NodeList-fx", dojo.moduleUrl("tests", "NodeList-fx.html"));
 }
+});

=== modified file 'tests/hash.js'
--- tests/hash.js	2009-11-16 21:15:04 +0000
+++ tests/hash.js	2009-11-20 15:14:02 +0000
@@ -1,8 +1,4 @@
-dojo.provide("tests.hash");
-dojo.require("dojo.hash");
-
-;(function(){
-
+doh.module("tests.hash", "dojo.hash", function(){
 // utilities for the tests:
 	function setHash(h){
 		h = h || "";
@@ -284,7 +280,6 @@
 						d.callback(true);
 					} catch(e){
 						d.errback(e);
-					}
 				});
 				
 				dojo.hash('test');
@@ -296,4 +291,4 @@
 			}
 		}	
 	]);
-})();
+});

=== modified file 'tests/html.js'
--- tests/html.js	2008-04-03 00:10:23 +0000
+++ tests/html.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.html");
+doh.module("tests.html", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.html", dojo.moduleUrl("tests", "html/test_set.html"));
 }
+});

=== modified file 'tests/i18n.js'
--- tests/i18n.js	2007-05-04 06:41:52 +0000
+++ tests/i18n.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,4 @@
-dojo.provide("tests.i18n");
-
-dojo.require("dojo.i18n");
-
-(function(){
+doh.module("tests.i18n", "dojo.i18n", function(){
 	var setUp = function(locale){
 		return function(){
 			dojo.requireLocalization("tests","salutations",locale);
@@ -81,4 +77,4 @@
 		delete tests.nls.salutations;
 	};
 	tests.register("tests.i18n", testSet);
-})();
+});

=== modified file 'tests/io/iframe.js'
--- tests/io/iframe.js	2007-06-15 04:52:31 +0000
+++ tests/io/iframe.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.io.iframe");
+doh.module("tests.io.iframe", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.io.iframe", dojo.moduleUrl("tests.io", "iframe.html"));
 }
+});

=== modified file 'tests/io/script.js'
--- tests/io/script.js	2007-05-09 00:13:37 +0000
+++ tests/io/script.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.io.script");
+doh.module("tests.io.script", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.io.script", dojo.moduleUrl("tests.io", "script.html"));
 }
+});

=== modified file 'tests/module.js'
--- tests/module.js	2009-09-17 15:35:42 +0000
+++ tests/module.js	2009-11-20 15:08:05 +0000
@@ -1,31 +1,27 @@
-dojo.provide("dojo.tests.module");
-
-try{
-	dojo.require("tests._base");
-	dojo.require("tests.i18n"); 
-	dojo.requireIf(dojo.isBrowser, "tests.back-hash");
-	dojo.requireIf(dojo.isBrowser, "tests.hash");
-	dojo.require("tests.cldr");
-	dojo.require("tests.data");
-	dojo.require("tests.date");
-	dojo.require("tests.number");
-	dojo.require("tests.currency");
-	dojo.require("tests.AdapterRegistry");
-	dojo.require("tests.io.script");
-	dojo.require("tests.io.iframe");
-	dojo.requireIf(dojo.isBrowser, "tests.rpc");
-	dojo.require("tests.regexp");
-	dojo.require("tests.string");
-	dojo.require("tests.behavior");
-	dojo.require("tests.parser");
-	dojo.require("tests.colors");
-	dojo.requireIf(dojo.isBrowser,"tests.cookie");
-	dojo.require("tests.fx");
-	dojo.require("tests.DeferredList");
-	dojo.require("tests.html");
-	dojo.requireIf(dojo.isBrowser,"tests.NodeList-traverse");
-	dojo.requireIf(dojo.isBrowser,"tests.NodeList-manipulate");
-	dojo.require("tests.cache");
-}catch(e){
-	doh.debug(e);
-}
+doh.module("dojo.tests.module", [
+	"tests._base",
+	"tests.i18n",
+	[dojo.isBrowser, "tests.back-hash"],
+	[dojo.isBrowser, "tests.hash"],
+	"tests.cldr",
+	"tests.data",
+	"tests.date",
+	"tests.number",
+	"tests.currency",
+	"tests.AdapterRegistry",
+	"tests.io.script",
+	"tests.io.iframe",
+	[dojo.isBrowser, "tests.rpc"],
+	"tests.regexp",
+	"tests.string",
+	"tests.behavior",
+	"tests.parser",
+	"tests.colors",
+	[dojo.isBrowser,"tests.cookie"],
+	"tests.fx",
+	"tests.DeferredList",
+	"tests.html",
+	[dojo.isBrowser,"tests.NodeList-traverse"],
+	[dojo.isBrowser,"tests.NodeList-manipulate"],
+	"tests.cache"
+]);

=== modified file 'tests/number.js'
--- tests/number.js	2009-04-07 03:35:23 +0000
+++ tests/number.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,4 @@
-dojo.provide("tests.number");
-
-dojo.require("dojo.number");
+doh.module("tests.number", "dojo.number", function(){
 
 /**
  * Refer to ICU4J's NumberFormatTest.expect(...) 
@@ -1110,3 +1108,4 @@
 		}
 	]
 );
+});

=== modified file 'tests/parser.js'
--- tests/parser.js	2007-06-26 22:56:16 +0000
+++ tests/parser.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.parser");
+doh.module("tests.parser", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.parser", dojo.moduleUrl("tests", "parser.html"));
 }
+});

=== modified file 'tests/regexp.js'
--- tests/regexp.js	2009-03-03 00:09:57 +0000
+++ tests/regexp.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.regexp");
-
-dojo.require("dojo.regexp");
-
-tests.register("tests.regexp", 
-	[
+doh.module("tests.regexp", "dojo.regexp", [
 		function test_regexp_escape(t){
 			t.assertTrue(new RegExp(dojo.regexp.escapeString("\f\b\n\t\r+.$?*|{}()[]\\/^")).test("TEST\f\b\n\t\r+.$?*|{}()[]\\/^TEST"));
 			t.assertTrue(new RegExp(dojo.regexp.escapeString("\f\b\n\t\r+.$?*|{}()[]\\/^", ".")).test("TEST\f\b\n\t\r+X$?*|{}()[]\\/^TEST"));

=== modified file 'tests/rpc.js'
--- tests/rpc.js	2008-02-28 06:39:35 +0000
+++ tests/rpc.js	2009-11-20 15:08:05 +0000
@@ -1,11 +1,4 @@
-dojo.provide("tests.rpc");
-
-dojo.require("dojo.rpc.RpcService");
-dojo.require("dojo.rpc.JsonService");
-dojo.require("dojo.rpc.JsonpService");
-
-doh.register("tests.rpc", 
-	[ 
+doh.module("tests.rpc", ["dojo.rpc.RpcService", "dojo.rpc.JsonService", "dojo.rpc.JsonpService"], [ 
 
 		{
 			name: "JsonRPC-EchoTest",
@@ -143,5 +136,3 @@
 		}
 	]
 );
-
-

=== modified file 'tests/string.js'
--- tests/string.js	2008-06-18 00:29:26 +0000
+++ tests/string.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.string");
-
-dojo.require("dojo.string");
-
-tests.register("tests.string", 
-	[
+doh.module("tests.string", "dojo.string", [
 		function test_string_pad(t){
 			t.is("00001", dojo.string.pad("1", 5));
 			t.is("000001", dojo.string.pad("000001", 5));

